net.sf.jasperreports.engine

## Interface JRImageMapRenderer

- All Superinterfaces:
    JRRenderable, java.io.Serializable
  All Known Subinterfaces:
    ImageMapRenderable
  All Known Implementing Classes:
    BatikRenderer, DrawChartRenderer, JRSimpleImageMapRenderer, WrappingImageMapRenderable

  Deprecated.
  Replaced by `ImageMapRenderable`.

      public interface JRImageMapRenderer
      extends JRRenderable

  Image renderer able to produce image maps.
  Version:
    $Id: JRImageMapRenderer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, PROPERTY_IMAGE_DPI, TYPE_IMAGE, TYPE_SVG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JRPrintImageAreaHyperlink>` | `getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)` Deprecated. Replaced by `renderWithHyperlinks(Graphics2D, Rectangle2D)`
    `boolean` | `hasImageAreaHyperlinks()` Deprecated. Indicates whether the renderer actually includes any image map areas.
    `java.util.List<JRPrintImageAreaHyperlink>` | `renderWithHyperlinks(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Returns the list of `image map areas`.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `getDimension, getId, getImageData, getImageType, getType, render`

- - ### Method Detail

    - #### getImageAreaHyperlinks

          java.util.List<JRPrintImageAreaHyperlink> getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)
                                                                           throws JRException

      Deprecated. Replaced by `renderWithHyperlinks(Graphics2D, Rectangle2D)`
      Returns the list of `image map areas`.
      Parameters:
        `renderingArea` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

    - #### hasImageAreaHyperlinks

          boolean hasImageAreaHyperlinks()

      Deprecated.
      Indicates whether the renderer actually includes any image map areas.
      Returns:
        whether the renderer actually includes any image map areas

    - #### renderWithHyperlinks

          java.util.List<JRPrintImageAreaHyperlink> renderWithHyperlinks(java.awt.Graphics2D grx,
                                                                       java.awt.geom.Rectangle2D rectangle)
                                                                         throws JRException

      Deprecated.
      Returns the list of `image map areas`.
      Parameters:
        `rectangle` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com